grails-app/domain/jobs/Conversacion.groovy
package jobs

import javax.persistence.ManyToOne

class Conversacion {

    Long id
    Date fecha = new Date()
    Usuario usuario
    Servicio servicio

    static mapping = {
        id column: "id", type: "long", sqlType: "int", generator: 'identity'
        version false
    }

    static constraints = {
        fecha display: false
    }
}

grails-app/controllers/jobs/ConversacionController.groovy
package jobs

import grails.validation.ValidationException
import static org.springframework.http.HttpStatus.*

class ConversacionController {

    ConversacionService conversacionService

    static allowedMethods = [save: "POST", update: "PUT", delete: "DELETE"]

    def index(Integer max) {
        params.max = Math.min(max ?: 10, 100)
        respond conversacionService.list(params), model:[conversacionCount: conversacionService.count()]
    }

    def show(Long id) {
        respond conversacionService.get(id)
    }

    def create() {
        respond new Conversacion(params)
    }

    def save(Conversacion conversacion) {
        if (conversacion == null) {
            notFound()
            return
        }

        try {
            conversacionService.save(conversacion)
        } catch (ValidationException e) {
            respond conversacion.errors, view:'create'
            return
        }

        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.created.message', args: [message(code: 'conversacion.label', default: 'Conversacion'), conversacion.id])
                redirect conversacion
            }
            '*' { respond conversacion, [status: CREATED] }
        }
    }

    def edit(Long id) {
        respond conversacionService.get(id)
    }

    def update(Conversacion conversacion) {
        if (conversacion == null) {
            notFound()
            return
        }

        try {
            conversacionService.save(conversacion)
        } catch (ValidationException e) {
            respond conversacion.errors, view:'edit'
            return
        }

        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.updated.message', args: [message(code: 'conversacion.label', default: 'Conversacion'), conversacion.id])
                redirect conversacion
            }
            '*'{ respond conversacion, [status: OK] }
        }
    }

    def delete(Long id) {
        if (id == null) {
            notFound()
            return
        }

        conversacionService.delete(id)

        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.deleted.message', args: [message(code: 'conversacion.label', default: 'Conversacion'), id])
                redirect action:"index", method:"GET"
            }
            '*'{ render status: NO_CONTENT }
        }
    }

    protected void notFound() {
        request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.not.found.message', args: [message(code: 'conversacion.label', default: 'Conversacion'), params.id])
                redirect action: "index", method: "GET"
            }
            '*'{ render status: NOT_FOUND }
        }
    }
}

grails-app/views/conversacion/create.gsp
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'conversacion.label', default: 'Conversacion')}" />
        <title><g:message code="default.create.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#create-conversacion" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="create-conversacion" class="content scaffold-create" role="main">
            <h1><g:message code="default.create.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${this.conversacion}">
            <ul class="errors" role="alert">
                <g:eachError bean="${this.conversacion}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
                </g:eachError>
            </ul>
            </g:hasErrors>
            <g:form resource="${this.conversacion}" method="POST">
                <fieldset class="form">
                    <f:field bean="conversacion" property="fecha" />
                    <f:field bean="conversacion" property="usuario" />
                    <f:field bean="conversacion" property="servicio" />
                </fieldset>
                <fieldset class="buttons">
                    <g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>

grails-app/views/conversacion/edit.gsp
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'conversacion.label', default: 'Conversacion')}" />
        <title><g:message code="default.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#edit-conversacion" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="edit-conversacion" class="content scaffold-edit" role="main">
            <h1><g:message code="default.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${this.conversacion}">
            <ul class="errors" role="alert">
                <g:eachError bean="${this.conversacion}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message error="${error}"/></li>
                </g:eachError>
            </ul>
            </g:hasErrors>
            <g:form resource="${this.conversacion}" method="PUT">
                <g:hiddenField name="version" value="${this.conversacion?.version}" />
                <fieldset class="form">
                    <f:all bean="conversacion"/>
                </fieldset>
                <fieldset class="buttons">
                    <input class="save" type="submit" value="${message(code: 'default.button.update.label', default: 'Update')}" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>

grails-app/views/conversacion/index.gsp
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'conversacion.label', default: 'Conversacion')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
    <content tag="nav">
                <li class="dropdown">
                        <a href="#" aria-haspopup="true" aria-expanded="false">

                <g:form controller="servicio" action="indexList" method="post">
                    <g:textField id="mytext" name="nombre" placeholder="Busca un servicio" value="${nombre}" role="button" aria-haspopup="true" aria-expanded="false" style="margin-top: 15px"/>
                    <button id="submit-values" class="btn btn-small btn-primary" type="submit">
                        <i class="icon-ok"></i>
                        Buscar
                    </button>
                </g:form>
                <span class="caret"></span></a>
                </li>

                <!-- <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Aqui va el buscador <span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li class="dropdown-item"><a href="#">Environment: ${grails.util.Environment.current.name}</a></li>
                        <li class="dropdown-item"><a href="#">App profile: ${grailsApplication.config.grails?.profile}</a></li>
                        <li class="dropdown-item"><a href="#">App version:
                            <g:meta name="info.app.version"/></a>
                        </li>
                        <li role="separator" class="dropdown-divider"></li>
                        <li class="dropdown-item"><a href="#">Grails version:
                            <g:meta name="info.app.grailsVersion"/></a>
                        </li>
                        <li class="dropdown-item"><a href="#">Groovy version: ${GroovySystem.getVersion()}</a></li>
                        <li class="dropdown-item"><a href="#">JVM version: ${System.getProperty('java.version')}</a></li>
                        <li role="separator" class="dropdown-divider"></li>
                        <li class="dropdown-item"><a href="#">Reloading active: ${grails.util.Environment.reloadingAgentEnabled}</a></li>
                    </ul>
                </li> -->
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Perfil <span class="caret"></span></a>
                    <ul class="dropdown-menu">
            			<!-- <li class="controller">
            				<g:link controller="Usuario" action="show">Ir a mi perfil</g:link>
            			</li> -->
                        <li class="controller">
            				<g:link controller="Login">Inicia Sesión</g:link>
            			</li>
            			<li class="controller">
            				<g:link controller="Usuario">Ver Perfil</g:link>
            			</li>
            			<li class="controller">
            				<g:link controller="Logout">Cerrar Sesión</g:link>
            			</li>
                    </ul>
                </li>
            	<li class="dropdown">
            		<li class="controller">
            			<g:link controller="Usuario" action="create" style="margin-top: 20px">Regístrate</g:link>
            		</li>
            	</li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Administrador <span class="caret"></span></a>
                    <ul class="dropdown-menu">
            				<li class="controller">
            					<g:link controller="Categoria">Categoria</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Comuna">Comuna</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Region">Region</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Estado">Estado</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="MedioDePago">MedioDePago</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Direccion">Direccion</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Servicio">Servicio</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="RegistroPago">RegistroPago</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Mensaje">Mensaje</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Conversacion">Conversacion</g:link>
            				</li>
            				<li class="controller">
            					<g:link controller="Trabajador">Trabajador</g:link>
            				</li>
            				<li class="controller">
                                <g:link controller="Contratacion">Contratacion</g:link>
                            </li>

                    </ul>
                </li>
            </content>
        <a href="#list-conversacion" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="list-conversacion" class="content scaffold-list" role="main">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
                <div class="message" role="status">${flash.message}</div>
            </g:if>
            <f:table collection="${conversacionList}" />

            <div class="pagination">
                <g:paginate total="${conversacionCount ?: 0}" />
            </div>
        </div>
    </body>
</html>

grails-app/views/conversacion/show.gsp
<!DOCTYPE html>
<html>
    <head>
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'conversacion.label', default: 'Conversacion')}" />
        <title><g:message code="default.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <a href="#show-conversacion" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
        <div class="nav" role="navigation">
            <ul>
                <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
                <li><g:link class="list" action="index"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
                <li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
            </ul>
        </div>
        <div id="show-conversacion" class="content scaffold-show" role="main">
            <h1><g:message code="default.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message" role="status">${flash.message}</div>
            </g:if>
            <f:display bean="conversacion" />
            <g:form resource="${this.conversacion}" method="DELETE">
                <fieldset class="buttons">
                    <g:link class="edit" action="edit" resource="${this.conversacion}"><g:message code="default.button.edit.label" default="Edit" /></g:link>
                    <input class="delete" type="submit" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
                </fieldset>
            </g:form>
        </div>
    </body>
</html>